# MD for: https://www.mercadopago.com.ar/developers/es/docs/subscriptions/additional-content/reports/available-money/api.md \# Generating through API Generate the Released money report manually as many times as you want or schedule it according to the desired frequency through our API. > WARNING > > Important > > We have limited the use of this API to the consultation and manual download of historical files due to the deactivation of the "Money withdrawn" report in the coming months. Instead, we recommend \[using the "Releases" report.\](https://www.mercadopago.com.ar/ayuda/23879?utm\_source=faq\_mp&utm\_medium=faq&utm\_campaign=bank\_disable) ## Configurable attributes Know the fields you can configure to adjust your preferences before you start: > Setting up \`frequency\` feature does not mean that the report will be generated automatically. The settings will apply only when the automatic scheduling is activated. For more details, please go to the \[Schedule your automatic reports\](#bookmark\_schedule\_your\_automatic\_reports) section. | Configurable fields | Description | | --- | --- | | \`sftp\_info\` (optional) | Indicates the uploaded data to SFTP when you need it. | | \`separator\` (optional) | Separator that you can use in the .csv file when you don't want the separator to be a comma. | | \`display\_timezone\` (optional) | This field determines the date and time displayed in the reports. If you do not set a time zone in this field, the system will consider GMT-04 as default. If you choose a time zone which adopts daylight saving time, you will need to adjust it manually when the time changes. | | \`notification\_email\_list\` (optional) | Allows you to add a group of e-mail recipients to be notified when a report is ready and available for download. Make sure to include the email linked to your Mercado Pago account so you can be notified as well. | | \`refund\_detailed\` (optional) | Displays the reference code (external\_reference) of the refund instead of the reference code (external\_reference) of the payment. | | \`include\_withdrawal\` (optional) | Includes withdrawals in the report. | | \`coupon\_detailed\` (optional) | Includes a column to show the detail of the discount coupons. | | \`columns\` | Field with the details of columns to be included in your report. Find all possible values in the \[Glossary section\](https://www.mercadopago.com.ar/developers/en/guides/additional-content/reports/available-money/glossary). | | \`file\_name\_prefix\` | Prefix that composes the report name once generated and ready for download. | | \`frequency\` | Indicates the daily, weekly or monthly frequency of scheduled reports. \- \`frequency\` applies type \*monthly\* to the day of the month or \*weekly\* to the day of the week. \- \`hour\` Hour Time of day to generate the report. \- \`type\` Type indicates the type of frequency \*daily\*, \*weekly\* and \*monthly\*. | | \`scheduled\` (read\_only) | Informative field that indicates if there are already scheduled reports in the user account. \`True\` The automatic generation is activated \`False\` The automatic generation is disabled | ## Set up your reports You can configure your reports according to your preferences. Up next, you'll find the API calls you can make to create, consult and update your reports. ### Create your configuration Create your API generation preferences to export columns, name your files and configure other settings: * [curl ](#editor%5F1) * [java ](#editor%5F3) * [node ](#editor%5F5) * [php ](#editor%5F2) * [python ](#editor%5F4) curl php java python node ``` curl -X POST \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/config' \ -d '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }' ``` Copiar ``` 'application/json', 'content-type' => 'application/json', 'Authorization' => 'Bearer ENV_ACCESS_TOKEN' ); $data = '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }'; $response = Requests::post('https://api.mercadopago.com/v1/account/bank_report/config', $headers, $data); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/config"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("POST"); connection.setRequestProperty("Accept", "application/json"); connection.setRequestProperty("Content-Type", "application/json"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); connection.setDoOutput(true); String body = "{ \\"file_name_prefix\\": \\"bank-report-USER_ID\\", \\"include_withdrawal_at_end\\": false, \\"execute_after_withdrawal\\": true, \\"display_timezone\\": \\"GMT-04\\", \\"notification_email_list\\": [ \\"example@email.com\\", \\"john@example.com\\", ], \\"frequency\\": { \\"hour\\": 0, \\"type\\": \\"monthly\\", \\"value\\": 1 }, \\"columns\\": [ { \\"key\\": \\"DATE\\" }, { \\"key\\": \\"SOURCE_ID\\" }, { \\"key\\": \\"EXTERNAL_REFERENCE\\" }, ] }"; try(OutputStream os = connection.getOutputStream()) { byte[] input = body.getBytes("utf-8"); os.write(input, 0, input.length); } System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } data = '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }' response = requests.post('https://api.mercadopago.com/v1/account/bank_report/config', headers=headers, data=data) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var dataString = '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }'; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/config', method: 'POST', headers: headers, body: dataString }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar You will receive an \`HTTP STATUS 201 (Created)\` in response. \`\`\`json { "file\_name\_prefix": "bank-report-USER\_ID", "include\_withdrawal\_at\_end": false, "scheduled": false, "execute\_after\_withdrawal": true, "separator": ",", "display\_timezone": "GMT-04", "notification\_email\_list": \[ "example@email.com", "john@example.com" \], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": \[ { "key": "DATE" }, { "key": "SOURCE\_ID" }, { "key": "EXTERNAL\_REFERENCE" } \] } \`\`\` ### Check the configuration Check the configuration of your reports by API in this way: * [curl ](#editor%5F6) * [java ](#editor%5F8) * [node ](#editor%5F10) * [php ](#editor%5F7) * [python ](#editor%5F9) curl php java python node ``` curl -X GET \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/config' \ ``` Copiar ``` 'application/json', 'content-type' => 'application/json', 'Authorization' => 'Bearer ENV_ACCESS_TOKEN' ); $response = Requests::get('https://api.mercadopago.com/v1/account/bank_report/config', $headers); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/config"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("GET"); connection.setRequestProperty("Accept", "application/json"); connection.setRequestProperty("Content-Type", "application/json"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } response = requests.get('https://api.mercadopago.com/v1/account/bank_report/config', headers=headers) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/config', headers: headers }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar You will receive an \`HTTP STATUS 200 (OK)\` in response. \`\`\`json { "file\_name\_prefix": "bank-report-USER\_ID", "include\_withdrawal\_at\_end": false, "scheduled": false, "execute\_after\_withdrawal": true, "separator": ",", "display\_timezone": "GMT-04", "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": \[ { "key": "DATE" }, { "key": "SOURCE\_ID" }, { "key": "EXTERNAL\_REFERENCE" } \] } \`\`\` ### Update configuration > NOTE > > Nota > >If when updating the settings you want to edit the "Frequency" feature, and you have already enabled the automatic generation of your reports, you must follow these steps: 1\. Cancel the scheduled generation of your reports, following the steps in the section Deactivate scheduling. \[Deactivate\](#bookmark\_2.\_deactivation). 2\. Update the settings by editing the \`Frequency\` feature, using the snippets available in this section. 3\. Schedule again the automatic generation of the report, following the steps in the section Activate scheduling. \[Activate\](#bookmark\_1.\_activation). When you need to update your settings, you can adjust the following attributes: * [curl ](#editor%5F11) * [java ](#editor%5F13) * [node ](#editor%5F15) * [php ](#editor%5F12) * [python ](#editor%5F14) curl php java python node ``` curl -X PUT \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/config' \ -d '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }' ``` Copiar ``` 'application/json', 'content-type' => 'application/json', 'Authorization' => 'Bearer ENV_ACCESS_TOKEN' ); $data = '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }'; $response = Requests::put('https://api.mercadopago.com/v1/account/bank_report/config', $headers, $data); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/config"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("PUT"); connection.setRequestProperty("Accept", "application/json"); connection.setRequestProperty("Content-Type", "application/json"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); connection.setDoOutput(true); String body = "{ \\"file_name_prefix\\": \\"bank-report-USER_ID\\", \\"include_withdrawal_at_end\\": false, \\"execute_after_withdrawal\\": true, \\"display_timezone\\": \\"GMT-04\\", \\"notification_email_list\\": [ \\"example@email.com\\", \\"john@example.com\\", ], \\"frequency\\": { \\"hour\\": 0, \\"type\\": \\"monthly\\", \\"value\\": 1 }, \\"columns\\": [ { \\"key\\": \\"DATE\\" }, { \\"key\\": \\"SOURCE_ID\\" }, { \\"key\\": \\"EXTERNAL_REFERENCE\\" }, ] }"; try(OutputStream os = connection.getOutputStream()) { byte[] input = body.getBytes("utf-8"); os.write(input, 0, input.length); } System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } data = '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }' response = requests.put('https://api.mercadopago.com/v1/account/bank_report/config', headers=headers, data=data) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var dataString = '{ "file_name_prefix": "bank-report-USER_ID", "include_withdrawal_at_end": false, "execute_after_withdrawal": true, "display_timezone": "GMT-04", "notification_email_list": [ "example@email.com", "john@example.com" ], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": [ { "key": "DATE" }, { "key": "SOURCE_ID" }, { "key": "EXTERNAL_REFERENCE" } ] }'; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/config', method: 'PUT', headers: headers, body: dataString }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar You will receive an \`HTTP STATUS 200 (OK)\` in response. \`\`\`json { "file\_name\_prefix": "bank-report-USER\_ID", "include\_withdrawal\_at\_end": false, "scheduled": false, "execute\_after\_withdrawal": true, "separator": ",", "display\_timezone": "GMT-04", "notification\_email\_list": \[ "example@email.com", "john@example.com" \], "frequency": { "hour": 0, "type": "monthly", "value": 1 }, "columns": \[ { "key": "DATE" }, { "key": "SOURCE\_ID" }, { "key": "EXTERNAL\_REFERENCE" } \] } \`\`\` > NOTE > > Note > > Have the \[Glossary\](https://www.mercadopago.com.ar/developers/en/guides/additional-content/reports/available-money/glossary) of the Available Balance report on hand to review it when needed or want to review a technical term. ## Generating manually Generate your reports manually by configuring three instances: generation, search and download. ### 1\. Generation Post to the API by specifying the start and end dates as follows: * [curl ](#editor%5F16) * [java ](#editor%5F18) * [node ](#editor%5F20) * [php ](#editor%5F17) * [python ](#editor%5F19) curl php java python node ``` curl -X POST \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report' \ -d '{ "begin_date": "2019-05-01T00:00:00Z", "end_date": "2019-06-01T00:00:00Z" }' ``` Copiar ``` 'application/json', 'content-type' => 'application/json', 'Authorization' => 'Bearer ENV_ACCESS_TOKEN' ); $data ='{ "begin_date": "2019-05-01T00:00:00Z", "end_date": "2019-06-01T00:00:00Z" }'; $response = Requests::post("https://api.mercadopago.com/v1/account/bank_report", $headers, $data); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("POST"); connection.setRequestProperty("Accept", "application/json"); connection.setRequestProperty("Content-Type", "application/json"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); connection.setDoOutput(true); String body = "{\\"begin_date\\":\\"2019-05-01T00:00:00Z\\",\\"end_date\\": \\"2019-06-01T00:00:00Z\\"}"; try(OutputStream os = connection.getOutputStream()) { byte[] input = body.getBytes("utf-8"); os.write(input, 0, input.length); } System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } data = '{ "begin_date": "2019-05-01T00:00:00Z", "end_date": "2019-06-01T00:00:00Z" }' response = requests.post('https://api.mercadopago.com/v1/account/bank_report', headers=headers, data=data) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var dataString = '{ "begin_date": "2019-05-01T00:00:00Z", "end_date": "2019-06-01T00:00:00Z" }'; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report', method: 'POST', headers: headers, body: dataString }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar You will receive an \`HTTP STATUS 202 (Accepted)\` in response, and the report will be generated asynchronously. ### 2\. Search Check the API this way to see if the report generation is ready: * [curl ](#editor%5F21) * [java ](#editor%5F23) * [node ](#editor%5F25) * [php ](#editor%5F22) * [python ](#editor%5F24) curl php java python node ``` curl -G \ -H 'accept: application/json' \ -d 'access_token=ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/list' ``` Copiar ``` 'application/json' ); $data = array( 'access_token' => 'ENV_ACCESS_TOKEN' ); $response = Requests::get('https://api.mercadopago.com/v1/account/bank_report/list', $headers, $data); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/list"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("GET"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } response = requests.get('https://api.mercadopago.com/v1/account/bank_report/list', headers=headers) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json'}; var dataString = 'access_token=ENV_ACCESS_TOKEN'; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/list', method: 'GET', headers: headers, body: dataString }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar You will receive \`HTTP STATUS 200 (OK)\` in response: \`\`\`json \[ { "id": 12345678, "user\_id": USER-ID, "begin\_date": "2015-05-01T00:00:00Z", "end\_date": "2015-06-01T23:59:59Z", "file\_name": "bank-report-USER\_ID-2016-01-20-131015.csv", "created\_from": "manual", "date\_created": "2016-01-20T10:07:53.000-04:00" }, { ... } \] \`\`\` ### 3\. Download Using the \`file\_name\` attribute, you can download the report from the following URL: * [curl ](#editor%5F26) * [java ](#editor%5F28) * [node ](#editor%5F30) * [php ](#editor%5F27) * [python ](#editor%5F29) curl php java python node ``` curl -X GET \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/:file_name' ``` Copiar ``` 'application/json' ); $data = array( 'access_token' => 'ENV_ACCESS_TOKEN' ); $response = Requests::post('https://api.mercadopago.com/v1/account/bank_report/:file_name', $headers, $data); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/:file_name"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("GET"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } response = requests.get('https://api.mercadopago.com/v1/account/bank_report/:file_name', headers=headers) ``` Copiar ``` var request = require('request'); var headers = { 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/:file_name', headers: headers, }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar You will receive an \`HTTP STATUS 200 (OK)\` in response. \`\`\`csv DATE,SOURCE\_ID,EXTERNAL\_REFERENCE,RECORD\_TYPE,DESCRIPTION,NET\_CREDIT\_AMOUNT,NET\_DEBIT\_AMOUNT,GROSS\_AMOUNT,MP\_FEE\_AMOUNT,FINANCING\_FEE\_AMOUNT,SHIPPING\_FEE\_AMOUNT,TAXES\_AMOUNT,COUPON\_AMOUNT,INSTALLMENTS,PAYMENT\_METHOD 2018-04-17T15:07:53.000-04:00,,,initial\_available\_balance,,813439.19,0.00,813439.19,0.00,0.00,0.00,0.00,0.00,1, 2018-04-17T15:07:53.000-04:00,,,release,withdrawal,0.00,813363.45,-813360.45,-3.00,0.00,0.00,0.00,0.00,1, 2018-04-17T15:11:12.000-04:00,,,release,payment,225.96,0.00,269.00,-43.04,0.00,0.00,0.00,0.00,1,account\_money 2018-04-17T15:18:16.000-04:00,,,release,payment,124.32,0.00,148.00,-23.68,0.00,0.00,0.00,0.00,1,visa 2018-04-17T15:38:40.000-04:00,,,release,payment,820.14,0.00,1099.00,-278.86,0.00,0.00,0.00,0.00,6,visa 2018-04-17T15:38:40.000-04:00,,,release,payment,850.00,0.00,850.00,0.00,0.00,0.00,0.00,0.00,1,account\_money \`\`\` ## Schedule your automatic reports Generate your reports on a scheduled basis by configuring two instances: activation and Deactivation. ### 1\. Activation Schedule the automatic report generation using the frequency in the configuration resource. Update the \*\`scheduled\`\* attribute in the configuration to \*\`true\`\*: * [curl ](#editor%5F31) * [java ](#editor%5F33) * [node ](#editor%5F35) * [php ](#editor%5F32) * [python ](#editor%5F34) curl php java python node ``` curl -X POST \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/schedule' ``` Copiar ``` 'application/json', 'content-type' => 'application/json', 'Authorization' => 'Bearer ENV_ACCESS_TOKEN' ); $response = Requests::post('https://api.mercadopago.com/v1/account/bank_report/schedule', $headers); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/schedule"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("POST"); connection.setRequestProperty("Accept", "application/json"); connection.setRequestProperty("Content-Type", "application/json"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } response = requests.post('https://api.mercadopago.com/v1/account/bank_report/schedule', headers=headers) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/schedule', method: 'POST', headers: headers }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar \### 2\. Deactivation * [curl ](#editor%5F36) * [java ](#editor%5F38) * [node ](#editor%5F40) * [php ](#editor%5F37) * [python ](#editor%5F39) curl php java python node ``` curl -X DELETE \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ 'https://api.mercadopago.com/v1/account/bank_report/schedule' ``` Copiar ``` 'application/json', 'content-type' => 'application/json', 'Authorization' => 'Bearer ENV_ACCESS_TOKEN' ); $response = Requests::delete('https://api.mercadopago.com/v1/account/bank_report/schedule', $headers); ``` Copiar ``` URL url = new URL("https://api.mercadopago.com/v1/account/bank_report/schedule"); HttpsURLConnection connection = (HttpsURLConnection) url.openConnection(); connection.setRequestMethod("DELETE"); connection.setRequestProperty("Accept", "application/json"); connection.setRequestProperty("Content-Type", "application/json"); connection.setRequestProperty("Authorization", "Bearer ENV_ACCESS_TOKEN"); System.out.println(connection.getResponseCode()); System.out.println(connection.getResponseMessage()); System.out.println(connection.getInputStream()); ``` Copiar ``` import requests headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' } response = requests.delete('https://api.mercadopago.com/v1/account/bank_report/schedule', headers=headers) ``` Copiar ``` var request = require('request'); var headers = { 'accept': 'application/json', 'content-type': 'application/json', 'Authorization': 'Bearer ENV_ACCESS_TOKEN' }; var options = { url: 'https://api.mercadopago.com/v1/account/bank_report/schedule', method: 'DELETE', headers: headers }; function callback(error, response, body) { if (!error && response.statusCode == 200) { console.log(body); } } request(options, callback); ``` Copiar